/**
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 *
 * You may obtain a copy of the License at 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */
package org.appspy.client.common;

import org.appspy.client.common.config.CollectorConfig;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class AppspyUtils
{
	protected static ThreadLocal<Collector> sCollectorThreadLocal = new ThreadLocal<Collector>();
	protected static ThreadLocal<CollectorInfo> sCollectorInfoThreadLocal = new ThreadLocal<CollectorInfo>();
	protected static ThreadLocal<CollectorConfig> sCollectorConfigThreadLocal = new ThreadLocal<CollectorConfig>();
	
	public static void setCollector(Collector collector)
	{
		sCollectorThreadLocal.set(collector);
	}
	
	public static Collector getCollector()
	{
		return sCollectorThreadLocal.get();
	}
	
	public static void setCollectorInfo(CollectorInfo collectorInfo)
	{
		sCollectorInfoThreadLocal.set(collectorInfo);
	}
	
	public static CollectorInfo getCollectorInfo()
	{
		return sCollectorInfoThreadLocal.get();
	}
	
	public static void setCollectorConfig(CollectorConfig collectorConfig)
	{
		sCollectorConfigThreadLocal.set(collectorConfig);
	}
	
	public static CollectorConfig getCollectorConfig()
	{
		return sCollectorConfigThreadLocal.get();
	}
}
