/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.client.common;

import org.appspy.client.common.config.CollectorConfig;
import org.appspy.core.data.CollectedData;


/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public interface Collector {

	public CollectedData beginCollection(CollectedData collectedData);

	public void endCollection();
	
	public void init(CollectorConfig config);
	
	public void destroy();
}
