/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.client.common;


public class CollectorInfo {
	
	public static final int STATUS_RUNNING = 0;
	public static final int STATUS_STOPPED = 1;
	public static final int STATUS_BAD_CONFIG = 2;
	public static final int STATUS_ERROR = 3;
	
	protected int mStatus = STATUS_STOPPED;
	protected long mTotalHits = 0;
	protected long mTotalCollected = 0;
	protected Throwable mThrowable = null;
	
	protected CollectorInfo()
	{
	}
	
	public void hit()
	{
		mTotalHits++;
	}
	
	public long getTotalHits()
	{
		return mTotalHits;
	}
	
	public long getTotalCollected()
	{
		return mTotalCollected;
	}
	
	public void collect()
	{
		mTotalCollected++;
	}
	
	public int getStatus()
	{
		return mStatus;
	}
	
	public Throwable getThrowable()
	{
		return mThrowable;
	}
	
	public void setStatus(int status, Throwable t)
	{
		mStatus = status;
		mThrowable = t;
	}
}
