/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.client.common.config;

import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.util.Properties;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class ClasspathConfigLoader implements ConfigLoader
{

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.appspy.perf.servlet.config.ConfigLoader#loadConfig(java.lang.String)
	 */
	public Properties loadConfig(String location) throws IOException
	{
		Properties properties = new Properties();

		InputStream is = Thread.currentThread().getContextClassLoader().getResourceAsStream(location);
		properties.load(is);
		is.close();

		return properties;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.appspy.client.common.config.ConfigLoader#getURL(java.lang.String)
	 */
	public URL getURL(String location) throws IOException
	{
		return Thread.currentThread().getContextClassLoader().getResource(location);
	}

}
